<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/30/2003 *
 * ===============                              Last change: 11/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : active_functions.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Functions for the active extension               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer die active-Erweiterung           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Filter for adding link to "active list"
function FILTER_ADD_LINK_ACTIVE_LIST () {
	// Are the extensions online and active there?
	if ((EXT_IS_ACTIVE("active")) && (EXT_IS_ACTIVE("online"))) {
		// Init content
		$content = array(
			'menu' => "<a class=\"menu_blur\" href=\"{!URL!}/modules.php?module=index&amp;what=active\">".getConfig('menu_blur_spacer').GUEST_ACTIVE_LINK."</a>",
			'what' => "active"
		);

		// Add link to "we were active today" page
		LOAD_TEMPLATE("guest_menu_bottom", false, $content);
	} // END - if
}

//
?>
